using System.ComponentModel;

namespace WCS.Entity.Protocol.Truss
{
    /// <summary>
    ///  桁架 码垛工位
    /// </summary>
    public interface ITruss530 : IProtocol
    {
        /// <summary>
        ///  垛形
        /// </summary>
        [Description("垛形")]
        public short Type { get; set; }

        /// <summary>
        ///  最大码垛数量
        /// </summary>
        [Description("最大码垛数量")]
        public short MaxQuantity { get; set; }

        /// <summary>
        ///  码垛结束
        /// </summary>
        [Description("码垛结束")]
        public TrussCmdType CmdType { get; set; }

        /// <summary>
        ///  凭证号，触发信号
        /// </summary>
        [Description("凭证号，触发信号")]
        public short VoucherNo { get; set; }
    }
}
